kind: Solution
version: v0

router:
  kind: Router
  routes:
    - frame: main

frames:
  main:
    kind: Frame
    contents:
      model:
        kind: Model
        modelFile: array-part4.gh
        subscribe:
          - kind: ControlPanel
            frame: main
            source: panel
      panel:
        kind: ControlPanel
        subscribe:
          - kind: Model
            frame: main
            source: model
            setOutputs:
              output:
                type: setTable
        controls:
          step:
            kind: Slider
            value: 0.75
            min: 0
            max: 1
            precision: 2
            label: Step
          count:
            kind: Slider
            value: 5
            min: 1
            max: 9
            precision: 0
            label: Count
          output:
            kind: Table
            columns:
              id:
                type: Text
              length:
                type: Text
                label: Length
              volume:
                type: Text
                label: Volume
